package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*发起考核考，核组人员对应关系表
* @author quyixiao
* @since 2020-10-30
*/

@Data
@TableName("lz_evaluation_start_staff")
@ApiModel(value = "发起考核考，核组人员对应关系表")
public class EvaluationStartStaff implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //考核组id
    @ApiModelProperty(value = "考核组id", name = "evaluationId")
    private Long evaluationId;
    //发起id
    @ApiModelProperty(value = "发起id", name = "startId")
    private Long startId;
    //人员id
    @ApiModelProperty(value = "人员id", name = "staffId")
    private Long staffId;
    //0考核人员 1：考核人员
    @ApiModelProperty(value = "0考核人员 1：考核人员", name = "type")
    private Integer type;
    //0: 未通知评分  1： 已通知评分
    @ApiModelProperty(value = "0: 未通知评分  1： 已通知评分", name = "score")
    private Integer score;
    //考核组名称
    @ApiModelProperty(value = "考核组名称", name = "evaluationName")
    private String evaluationName;
    //员工所在的部门id
    @ApiModelProperty(value = "员工所在的部门id", name = "departmentId")
    private String departmentId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 考核组id 
     * @return
     */
    public Long getEvaluationId() {
        return evaluationId;
    }
    /**
     * 考核组id 
     * @param evaluationId
     */
    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    /**
     * 发起id 
     * @return
     */
    public Long getStartId() {
        return startId;
    }
    /**
     * 发起id 
     * @param startId
     */
    public void setStartId(Long startId) {
        this.startId = startId;
    }

    /**
     * 人员id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 人员id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 0考核人员 1：考核人员 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0考核人员 1：考核人员 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 0: 未通知评分  1： 已通知评分 
     * @return
     */
    public Integer getScore() {
        return score;
    }
    /**
     * 0: 未通知评分  1： 已通知评分 
     * @param score
     */
    public void setScore(Integer score) {
        this.score = score;
    }

    /**
     * 考核组名称 
     * @return
     */
    public String getEvaluationName() {
        return evaluationName;
    }
    /**
     * 考核组名称 
     * @param evaluationName
     */
    public void setEvaluationName(String evaluationName) {
        this.evaluationName = evaluationName;
    }

    /**
     * 员工所在的部门id 
     * @return
     */
    public String getDepartmentId() {
        return departmentId;
    }
    /**
     * 员工所在的部门id 
     * @param departmentId
     */
    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    @Override
    public String toString() {
        return "EvaluationStartStaff{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",evaluationId=" + evaluationId +
                ",startId=" + startId +
                ",staffId=" + staffId +
                ",type=" + type +
                ",score=" + score +
                ",evaluationName=" + evaluationName +
                ",departmentId=" + departmentId +
                "}";
    }
}